

/* Deleting entry meta */
.entry-meta{
    display: none;
}

/* #region BLOCKS NORMALIZATION */
.wp-block {
  margin: 0;
}

.wp-block a {
  text-decoration: none !important;
}

.is-layout-flow > * {
  margin-block-start: 0 !important;
  margin-block-end: 0 !important;
}

.wp-block-group {
  margin: 0;
  padding: 0;
  gap: 0;
}

.is-layout-flex {
  gap: 0 !important;
}

.wp-block-columns {
  gap: 0 !important;
}

.wp-block-column {
  margin: 0;
  padding: 0;
}

/* #endregion */

/* #region TEXT TYPES */

.text-title{
    font-family: 'imbue-display', 'serif';
    font-weight: 300;
    font-size: 110px !important;
    line-height: 0.85;
    letter-spacing: -2px;
}

.text-description{
    font-family: 'literata-local', 'serif';
    font-weight: 500;
    font-style: italic;
    font-size: 80px;
    line-height: 1.4;
}

.text-author{
    font-family: 'literata-local', 'serif';
    font-weight: 500;
    font-style: italic;
    font-size: 14px;
    margin: 0px !important;
}

.text-category{
    font-family: 'Inter', sans-serif;
    font-weight: 600;
    font-size: 14px;
    text-decoration: none;
}

.text-highlight{
    font-family: 'imbue-display', 'serif';
    font-weight: 300;
    font-size: 60px !important;
    line-height: 0.85;
}

.text-paragraph{
    font-size: 16px !important;
}

.text-subtitle{
    font-size: 20px !important;
}

@media (max-width: 767px) {
  

    .text-title{
        font-size: 80px !important;         
    }
    .text-description{
        font-size: 18px !important;
    }
    .text-author{
        font-size: 16px !important;
    }
    .text-category{
        font-size: 16px !important;
    }
    .text-highlight{
        font-size: 40px !important;
        line-height: 0.9 !important;
    }
}

@media (min-width: 768px) and (max-width: 1024px) {
    .text-author{
        font-size: 20px !important;
    }
    .text-category{
        font-size: 20px !important;
    }
}

/* #endregion */


/* #region POST COVER BLOCK */

.post-cover__container{
    margin: 0;
    padding: 0 !important;
}

.post-cover__columns{
    width: 100%;
    padding-left: 100px;
    padding-right: 100px;

}

    .post-cover__description-column{
        display: flex;
        align-content: flex-end;
        justify-content: center;
    }

        .post-cover__description-container{
            height: fit-content;
            align-self: flex-end;
        }

        .post-cover__description-container .post-cover__term{
            padding: 0px !important;
        }          

    .post-cover__image-group-background {
        position: relative;
        display: flex;
        height: 90vh;
        border-radius: 30px;
    }

        .post-cover__image-group-background .wp-block-cover__inner-container{
            position: absolute;
            bottom: 20px;
            left: 20px;
            display: flex;
            align-content: flex-start;
            margin-bottom: 0px;
            padding: 30px;
        }

            .post-cover__image-group-background ul {
                padding: 0px;
            }

            .post-cover__image-group-background p {
                font-family: 'Inter', sans-serif;
                font-size: 16px;
                font-weight: 600;
            }

/*móviles*/
@media (max-width: 767px) {
  
    .post-cover__title-column{
        display: flex;
        justify-content: center;
    }
    .post-cover__title-container{
        width: 85%;
    }
    .post-cover__description-container{
        width: 85%;
    }
        .post-cover__columns{
            padding: 0px;
        
        }

            .text-title{
                font-size: 80px !important;         
            }
            .post-title{
                margin-top: 100px !important;
            }

            .text-author{
                font-family: 'literata-local', 'serif';
                font-weight: 500;
                font-style: italic;
                font-size: clamp(80px, 40px, 20px);
            }

        .post-cover__image-group-background .wp-block-cover__inner-container{
            bottom: 10px;
            left: 10px;
            top: 10px;
            right: 10px;
        }

        .post-cover__inner-container{
            display: flex;
            align-content: flex-end;
        }

            .post-cover__image-caption{
                align-self: flex-end;
            }
}

/*tablets*/
@media (min-width: 768px) and (max-width: 1024px) {
 
.post-cover__columns{
    flex-direction: column !important;
}
.post-cover__title-column{
    width: 100%;
}
.post-cover__description-column{
    width: 100%;
}
    .post-cover__description-container{
        width: 100%;
        justify-content: flex-start;
        margin-top: 50px !important;
    } 

        .post-cover__description-container .text-description{
            margin: 0px !important;
        }
        .post-cover__term{
            margin: 20px 0px !important;
            left: 0;
        }

}

/* #endregion */

/* #region POST PARAGRAPH BLOCK */

.post-paragraph__container{
    padding: 0px 120px !important;
}

    .post-paragraph__text-container{
        padding-bottom: 20px !important;
    }

@media (max-width: 767px) {
   .post-paragraph__container{
        width: 85%;
        padding: 0px !important;
    }
}

/* #endregion POST PARAGRAPH BLOCK */

/* #region POST HIGHLIGHT BLOCK */

.post-highlight__container{
    padding: 0px 120px!important;
}

    .post-highlight__text-container{
        padding: 20px 0px !important;
    
    }

    .post-highlight__text-container .wp-block-heading{
        margin-top: 0px;
    }

@media (max-width: 767px) {
   .post-highlight__container{
        width: 85%;
        padding: 0px !important;
    }
}
    
/* #endregion POST HIGHLIGHT BLOCK */

/* #region POST CAPITULAR PARAGRAPH */

.post-capitular-paragraph__container{
    padding: 0px 120px!important;
}

    .post-capitular-paragraph__text-container{
        padding-bottom: 20px !important;
    }   

        .post-capitular-paragraph__text{
            line-height: ;
        }

    .capitular-js{
        display: inline-block;
        font-size: 80px;
        line-height: 1;
        font-family: 'ballet-local', 'serif' !important;     
        vertical-align: bottom;  
        transform: translateY(17px)!important;
    }

@media (max-width: 767px) {
   .post-capitular-paragraph__container{
        width: 85%;
        padding: 0px !important;
    }
}

/* #endregion */

/* #region POST SUBTITLE */
    .post-subtitle__container{
    padding: 0px 120px !important;
}

    .post-subtitle__text-container{
        padding: 0px 20px 0px 0px !important;
        margin: 0px !important;
    }

        .post-subtitle__text{
            padding: 20px 0px 20px 0px !important;
            margin: 0px !important;
        }

@media (max-width: 767px) {
   .post-subtitle__container{
        width: 85%;
        padding: 0px !important;
    }
}
/* #endregion */